Update Values of Custom Variables of a Lead
curl --request PATCH \
--url https://api.lemlist.com/api/leads/{leadId}/variables \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/leads/{leadId}/variables"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/leads/{leadId}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/leads/{leadId}/variables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/leads/{leadId}/variables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true
}{
"ok": false,
"status": "Variables not found"
}"Lead not found"{
"error": "An identifier (email, linkedinUrl or salesnavUrl) already belongs to another contact [duplicate-forbidden]"
}Leads
Update Values of Custom Variables of a Lead
Updates the values of custom variables on a lead.
PATCH
/
leads
/
{leadId}
/
variables
Update Values of Custom Variables of a Lead
This is not about renaming your custom variables, but really about updating the values within, just like the Update Lead endpoint would do on default variables.
Default variables follow the Update Lead rules: they are written on the lead’s contact and company as well, and
companyName alone renames the company the lead is linked to.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the lead
Query Parameters
Example custom variable
Example custom variable
Example custom variable
Was this page helpful?